<?php
include "includes/db.php";
include "includes/auth.php";
$msg="";
if (isset($_POST["add_product"])) {
  $code=$con->real_escape_string($_POST["code"]);    
  $description=$con->real_escape_string($_POST["description"]);
  $quantity=$con->real_escape_string($_POST["quantity"]);
  $packing=$con->real_escape_string($_POST["packing"]);
  $gram_weight=$con->real_escape_string($_POST["gram_weight"]);
  $total_weight=$con->real_escape_string($_POST["weight"]);
  $purchase_price=$con->real_escape_string($_POST["purchase_price"]);
  $sale_price=$con->real_escape_string($_POST["sale_price"]);

  $purchase_price_gst=$con->real_escape_string($_POST["purchase_price_gst"]);
  $sale_price_gst=$con->real_escape_string($_POST["sale_price_gst"]);
  $main_category=$con->real_escape_string($_POST["main_category"]);
  $sub_category=$con->real_escape_string($_POST["sub_category"]);

  $query="INSERT INTO `products`(`product_code`,`description`, `quantity`, `packing`, `grams_weight`, `total_weight`, `purchase_price`, `sale_price`, `sale_price_gst`, `purchase_price_gst`, `main_category`, `sub_category`) VALUES ('$code','$description','$quantity','$packing','$gram_weight','$total_weight','$purchase_price','$sale_price','$sale_price_gst','$purchase_price_gst','$main_category','$sub_category')";
  if ($con->query($query) === TRUE) {
            $msg .="<div class='alert alert-success'>New Product Has Been Added Successfully.</div>";
        } else {
             $msg .="Error: " . $query . "<br>" . $con->error;
        }      
}

 ?>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">

  <title>Dashboard - Add New Product</title>
  <?php include "includes/links.php"; ?>

</head>

<body>

  <?php include "includes/header.php"; ?>
  <?php include "includes/sidebar.php"; ?>


  <main id="main" class="main">

    <div class="pagetitle">
      <h1>Dashboard</h1>
      <nav>
        <ol class="breadcrumb">
          <li class="breadcrumb-item"><a href="dashboard.php">Home</a></li>
          <li class="breadcrumb-item active">Add Product</li>
        </ol>
      </nav>
    </div><!-- End Page Title -->

    <section class="section dashboard">
      <div class="row">

        <!-- Left side columns -->
        <div class="col-lg-12">
          
          <div class="card">
            <div class="card-body">
              <h5 class="card-title">Add New Product</h5>
              <?php if(isset($msg)){ echo $msg; } ?>
              <!-- No Labels Form -->
              <form class="row g-3" method="POST">
                  <div class="col-md-12">                  
                              <label for="code" class="form-label">Product Code:</label>
                              <textarea class="form-control" rows="1" name="code" id="code" spellcheck="false"></textarea>
                            </div>
                <div class="col-md-12">
                  
                  <label for="description" class="form-label">Description:</label>
                  <textarea class="form-control" rows="3" name="description" id="description" spellcheck="false"></textarea>
                </div>
                <div class="col-md-3">
                  <label for="quantity" class="form-label">Quantity:</label>
                  <input type="number" class="form-control" id="quantity"  name="quantity">
                </div>
                <div class="col-md-3">
                  <label for="packing" class="form-label">Packing:</label>
                  <input type="number" class="form-control" id="packing" name="packing">
                </div>
                <div class="col-md-3">
                  <label for="gram_weight" class="form-label">Grams Weight:</label>
                  <input type="number" class="form-control" id="gram_weight" name="gram_weight">
                </div>
                <div class="col-md-3">
                  <label for="weight" class="form-label">Total Weight (KGs):</label>
                  <input type="number" class="form-control" id="weight" name="weight" step="0.01">
                </div>
                <div class="col-md-3">
                  <label for="purchase_price" class="form-label">Purchase Price:</label>
                  <input type="number" class="form-control" id="purchase_price"  name="purchase_price"  step="0.01">
                </div>
                <div class="col-md-3">
                      <label for="purchase_price_gst" class="form-label">Purchase Price GST:</label>
                      <input type="number" class="form-control" id="purchase_price_gst" name="purchase_price_gst"  step="0.01">
                </div>
                <div class="col-md-3">
                  <label for="sale_price" class="form-label">Sale Price:</label>
                  <input type="number" class="form-control" id="sale_price" name="sale_price"  step="0.01">
                </div>
                <div class="col-md-3">
                  <label for="sale_price_gst" class="form-label">Sale Price GST:</label>
                  <input type="number" class="form-control" id="sale_price_gst" name="sale_price_gst"  step="0.01">
                </div>
                            <div class="col-md-6">
                              <label for="main_category" class="form-label">Main Category:</label>
                              <select class="form-select" name="main_category" id="main_category" required>
                                  <option value="" selected disabled>Select A Main Category</option>
                                  <option value="PC">PC</option>
                                  <option value="NPC">NPC</option>
                              </select>
                            </div>
                            <div class="col-md-6">
                              <label for="sub_category" class="form-label">Sub Category:</label>
                              <select class="form-select" name="sub_category" id="sub_category" required>
                                  <option value="" selected disabled>Select A Sub Category</option>
                                  <option value="LAYS">LAYS</option>
                                  <option value="WAVY">WAVY</option>
                                  <option value="KURKURE">KURKURE</option>
                                  <option value="CHEETOS">CHEETOS</option>
                              </select>
                            </div>
                
                <div class="text-right">
                  <button type="submit" class="btn btn-primary" name="add_product">Add Product</button>
                </div>
              </form><!-- End No Labels Form -->

            </div>
          </div>
        </div><!-- End Left side columns -->

        

      </div>
    </section>

  </main><!-- End #main -->

  <?php include "includes/footer.php"; ?>

  <?php include "includes/scripts.php"; ?>

</body>

</html>