<?php
include "includes/db.php";
include "includes/auth.php";
$msg="";
if (isset($_POST["save_changes"])) {
  $product_id=$_POST['product_id'];
  $code=$con->real_escape_string($_POST["code"]);
  $description=$con->real_escape_string($_POST["description"]);
  $quantity=$con->real_escape_string($_POST["quantity"]);
  $packing=$con->real_escape_string($_POST["packing"]);
  $gram_weight=$con->real_escape_string($_POST["gram_weight"]);
  $total_weight=$con->real_escape_string($_POST["weight"]);
  $purchase_price=$con->real_escape_string($_POST["purchase_price"]);
  $purchase_price_gst=$con->real_escape_string($_POST["purchase_price_gst"]);
  $sale_price=$con->real_escape_string($_POST["sale_price"]);
  $sale_price_gst=$con->real_escape_string($_POST["sale_price_gst"]);
  $main_category=$con->real_escape_string($_POST["main_category"]);
  $sub_category=$con->real_escape_string($_POST["sub_category"]);
  
  $query="UPDATE `products`
                  SET
                    `description` = '$description',
                    `product_code` = '$code',
                    `quantity` = '$quantity',
                    `packing` = '$packing',
                    `grams_weight` = '$gram_weight',
                    `total_weight` = '$total_weight',
                    `purchase_price` = '$purchase_price',
                    `purchase_price_gst` = '$purchase_price_gst',
                    `sale_price` = '$sale_price',
                    `sale_price_gst` = '$sale_price_gst',
                    `main_category` = '$main_category',
                    `sub_category` = '$sub_category'
                  WHERE
                    `product_id` = '$product_id'";
  if ($con->query($query) === TRUE) {
            $msg .="<div class='alert alert-success'>Product Has Been Updated Successfully.</div>";
        } else {
             $msg .="Error: " . $query . "<br>" . $con->error;
        }      
}
if (isset($_POST["delete"])) {
  $product_id=$_POST['product_id'];
  $query="DELETE FROM `products` WHERE `product_id` = '$product_id'";
  if ($con->query($query) === TRUE) {
            $msg .="<div class='alert alert-success'>Product Has Been Deleted Successfully.</div>";
        } else {
             $msg .="Error: " . $query . "<br>" . $con->error;
        } 
}

 ?>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">

  <title>Dashboard - Products</title>
  <?php include "includes/links.php"; ?>

</head>

<body>

  <?php include "includes/header.php"; ?>
  <?php include "includes/sidebar.php"; ?>


  <main id="main" class="main">

    <div class="pagetitle">
      <h1>Dashboard</h1>
      <nav>
        <ol class="breadcrumb">
          <li class="breadcrumb-item"><a href="dashboard.php">Home</a></li>
          <li class="breadcrumb-item active">Products List</li>
        </ol>
      </nav>
    </div><!-- End Page Title -->

    <section class="section dashboard">
      <div class="row">

        <!-- Left side columns -->
        <div class="col-lg-12">
          
          <div class="card">
            <div class="card-body">
              <h5 class="card-title">Products</h5>
              <?php if(isset($msg)){ echo $msg; } ?>
              <!-- No Labels Form -->
                <div class="col-md-12">
                
                <table class="table datatable table-striped">
                <thead>
                  <tr>
                    <th>Code</th>
                    <th>Description</th>
                    <th>Quantity</th>
                    <th>Packing</th>
                    <th>Grams Weight</th>
                    <th>Total Weight</th>
                    <th>Purchase Price</th>
                    <th>Sale Price</th>
                 <?php  if($user_type!='warehouse'){  ?>   <th>Action</th> <?php } ?>
                  </tr>
                </thead>
                <tbody>
                  <?php
                        $profile_query = mysqli_query($con,"SELECT * FROM `products`");
                        while($fetch = mysqli_fetch_array($profile_query)){
                    ?>
                  <tr>
                    <td><?php echo $fetch["product_code"]; ?></td>
                    <td><?php echo $fetch["description"]; ?></td>
                    <td><?php echo $fetch["quantity"]; ?></td>
                    <td><?php echo $fetch["packing"]; ?></td>
                    <td><?php echo $fetch["grams_weight"]; ?></td>
                    <td><?php echo $fetch["total_weight"]; ?></td>
                    <td><?php echo $fetch["purchase_price"]; ?></td>
                    <td><?php echo $fetch["sale_price"]; ?></td>
                   
                   <?php  if($user_type!='warehouse'){  ?> <td>
                      <button class="btn btn-primary btn-sm"  data-bs-toggle="modal" data-bs-target="#edit_modal<?php echo $fetch["product_id"]; ?>"><i class="ri-edit-box-line"></i></button>
                      
                      <button class="btn btn-danger btn-sm"  data-bs-toggle="modal" data-bs-target="#delete_modal<?php echo $fetch["product_id"]; ?>"><i class="ri-delete-bin-2-fill"></i></button>
                         
                    </td> <?php } ?>

              <div class="modal fade" id="edit_modal<?php echo $fetch["product_id"]; ?>" tabindex="-1">
                <div class="modal-dialog modal-xl">
                  <div class="modal-content">
                    <div class="modal-header">
                      <h5 class="modal-title"><?php echo $fetch["description"]; ?></h5>
                      <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                      <form method="POST">
                        <div class="row">
                           <div class="col-md-12">                  
                              <label for="code" class="form-label">Product Code:</label>
                              <textarea class="form-control" rows="1" name="code" id="code" spellcheck="false"><?php echo $fetch["product_code"]; ?></textarea>
                            </div>
                            <div class="col-md-12"> 
                              <input type="hidden" name="product_id" value="<?php echo $fetch["product_id"]; ?>">                 
                              <label for="description" class="form-label">Description:</label>
                              <textarea class="form-control" rows="3" name="description" id="description" spellcheck="false"><?php echo $fetch["description"]; ?></textarea>
                            </div>
                            <div class="col-md-3">
                              <label for="quantity" class="form-label">Quantity:</label>
                              <input type="number" step="0.01" class="form-control" id="quantity" value="<?php echo $fetch["quantity"]; ?>"  name="quantity">
                            </div>
                            <div class="col-md-3">
                              <label for="packing" class="form-label">Packing:</label>
                              <input type="number" step="0.01" class="form-control" id="packing" value="<?php echo $fetch["packing"]; ?>" name="packing">
                            </div>
                            <div class="col-md-3">
                              <label for="gram_weight" class="form-label">Grams Weight:</label>
                              <input type="number" step="0.01" class="form-control" id="gram_weight" value="<?php echo $fetch["grams_weight"]; ?>" name="gram_weight">
                            </div>
                            <div class="col-md-3">
                              <label for="weight" class="form-label">Total Weight (KGs):</label>
                              <input type="number" step="0.01" class="form-control" id="weight" value="<?php echo $fetch["total_weight"]; ?>" name="weight">
                            </div>
                            <div class="col-md-3">
                              <label for="purchase_price" class="form-label">Purchase Price:</label>
                              <input type="number" step="0.01" class="form-control" id="purchase_price" value="<?php echo $fetch["purchase_price"]; ?>" name="purchase_price">
                            </div>
                            <div class="col-md-3">
                              <label for="purchase_price_gst" class="form-label">Purchase Price GST:</label>
                              <input type="number" step="0.01" class="form-control" id="purchase_price_gst" value="<?php echo $fetch["purchase_price_gst"]; ?>" name="purchase_price_gst">
                            </div> 
                            <div class="col-md-3">
                              <label for="sale_price" class="form-label">Sale Price:</label>
                              <input type="number" step="0.01" class="form-control" id="sale_price" value="<?php echo $fetch["sale_price"]; ?>" name="sale_price">
                            </div>
                            <div class="col-md-3">
                              <label for="sale_price_gst" class="form-label">Sale Price GST:</label>
                              <input type="number" step="0.01" class="form-control" id="sale_price_gst" value="<?php echo $fetch["sale_price_gst"]; ?>" name="sale_price_gst">
                            </div>
                            <div class="col-md-6">
                              <label for="main_category" class="form-label">Main Category:</label>
                              <select class="form-select" name="main_category" id="main_category" required>
                                  <option value="" selected disabled>Select A Main Category</option>
                                  <option value="PC" <?php if($fetch["main_category"]=='PC'){ echo "selected";} ?>>PC</option>
                                  <option value="NPC" <?php if($fetch["main_category"]=='NPC'){ echo "selected";} ?>>NPC</option>
                              </select>
                            </div>
                            <div class="col-md-6">
                              <label for="sub_category" class="form-label">Sub Category:</label>
                              <select class="form-select" name="sub_category" id="sub_category" required>
                                  <option value="" selected disabled>Select A Sub Category</option>
                                  <option value="LAYS" <?php if($fetch["sub_category"]=='LAYS'){ echo "selected";} ?>>LAYS</option>
                                  <option value="WAVY" <?php if($fetch["sub_category"]=='WAVY'){ echo "selected";} ?>>WAVY</option>
                                  <option value="KURKURE" <?php if($fetch["sub_category"]=='KURKURE'){ echo "selected";} ?>>KURKURE</option>
                                  <option value="CHEETOS" <?php if($fetch["sub_category"]=='CHEETOS'){ echo "selected";} ?>>CHEETOS</option>
                              </select>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                      <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                      <button type="submit" class="btn btn-primary" name="save_changes">Save Changes</button>
                    </div>
                    </form>
                  </div>
                </div>
              </div><!-- End Extra Large Modal-->                  

              <div class="modal fade" id="delete_modal<?php echo $fetch["product_id"]; ?>" tabindex="-1">
                <div class="modal-dialog modal-md">
                  <div class="modal-content">
                    <div class="modal-header">
                      <h5 class="modal-title"><?php echo $fetch["description"]; ?></h5>
                      <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                      <form method="POST">
                        <div class="row">
                      <div class="col-md-12">
                        <input type="hidden" name="product_id" value="<?php echo $fetch["product_id"]; ?>">
                        <p>Do you want to delete this product?</p>
                      </div>
                      </div>
                    </div>
                    <div class="modal-footer">
                      <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                      <button type="submit" class="btn btn-danger" name="delete">Yes Delete</button>
                    </div>
                    </form>
                  </div>
                </div>
              </div><!-- End Extra Large Modal-->                  

                  </tr>
                  <?php } ?>                  
                </tbody>
              </table>
                </div>              
            </div>
          </div>
        </div><!-- End Left side columns -->

        

      </div>
    </section>

  </main><!-- End #main -->

  <?php include "includes/footer.php"; ?>

  <?php include "includes/scripts.php"; ?>

</body>

</html>